> For the complete documentation index, see [llms.txt](https://docs.airops.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airops.com/docs/fr/actions/workflow-concepts/workflow-steps/content-quality/detect-ai-content.md).

# Détecter le contenu IA

L'étape « Détecter le contenu IA » vous permet d'analyser un texte afin de déterminer s'il a probablement été rédigé par une IA ou par un humain. Cet outil puissant utilise la technologie avancée de détection de l'IA d'Originality.ai pour vous aider à identifier le contenu généré par IA, garantissant l'authenticité du contenu et la conformité aux politiques de contenu.

### Comment configurer l'étape Détecter le contenu IA

* **Contenu**: Saisissez le contenu que vous souhaitez analyser

### Format de sortie

L'étape Détecter le contenu IA renvoie un objet JSON contenant des résultats d'analyse détaillés :

```json
{
  "success": true,
  "disclaimer": "Si vous essayez d'analyser un contenu de moins de 50 mots, vous rencontrerez des problèmes de précision de l'IA.",
  "public_link": "https://app.originality.ai/share/[ID]",
  "title": "Analyse API V1",
  "score": {
    "original": 0,
    "ai": 1
  },
  "blocks": [
    {
      "text": "texte du contenu un ",
      "result": {
        "fake": 1,
        "real": 0,
        "status": "succès"
      }
    },
    {
      "text": "texte du contenu deux ",
      "result": {
        "fake": 0.9790024454394978,
        "real": 0.02099755456050223,
        "status": "succès"
      }
    },
  
          // Résultats supplémentaires ici        
  
  ],
  "credits_used": 3,
  "credits": 123,
  "subscription": 123,
  "content": "contenu d'exemple",
  "aiModelVersion": 1,
  "id": [ID]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.airops.com/docs/fr/actions/workflow-concepts/workflow-steps/content-quality/detect-ai-content.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
